Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.QuadPoints Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | QuadPoints ()
| Constructor.
def | QuadPoints (quad_points)
| Constructor, with another quadrilateral points object. More...
def | Set (first, second, third, fourth)
| Set value. More...

## Static Public Attributes
| first = _fsdk.QuadPoints_first
| First point of quadrilateral, in [PDF coordinate system] ().
| fourth = _fsdk.QuadPoints_fourth
| Fourth point of quadrilateral, in [PDF coordinate system] ().
| second = _fsdk.QuadPoints_second
| Second point of quadrilateral, in [PDF coordinate system] ().
| third = _fsdk.QuadPoints_third
| Third point of quadrilateral, in [PDF coordinate system] ().

## Detailed Description

This class represents points of a quadrilateral, in [PDF coordinate system] (). The order of points in a quadrilateral should be as follows:

- The first point is the point in left-top corner of the quadrilateral.
- The second point is the point in right-top corner of the quadrilateral.
- The third point is the point in left-bottom corner of the quadrilateral.
- The fourth point is the point in right-bottom corner of the quadrilateral.

## Constructor & Destructor Documentation

## ◆ QuadPoints()

def FoxitPDFSDKPython2.QuadPoints.QuadPoints | ( |  | quad_points | ) |

Constructor, with another quadrilateral points object.

Parameters

  [in] | quad_points | Another quadrilateral points object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.QuadPoints.Set | ( |  | first,
|  |  | second,
|  |  | third,
|  |  | fourth
| ) |  |

Set value.

Parameters

  [in] | first | First point of the quadrilateral, in [PDF coordinate system] ().
  [in] | second | Second point of the quadrilateral, in [PDF coordinate system] ().
  [in] | third | Third point of the quadrilateral, in [PDF coordinate system] ().
  [in] | fourth | Fourth point of the quadrilateral, in [PDF coordinate system] ().

Returns
  None.